Generate content tools
curl --request POST \
--url https://api.app.hrizn.io/v1/public/content/{id}/content-tools \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{
"tools": []
}'import requests
url = "https://api.app.hrizn.io/v1/public/content/{id}/content-tools"
payload = { "tools": [] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tools: []})
};
fetch('https://api.app.hrizn.io/v1/public/content/{id}/content-tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tools: []})
};
fetch('https://api.app.hrizn.io/v1/public/content/{id}/content-tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/content/{id}/content-tools",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tools' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tools": [
"<string>"
],
"status": "generating",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}Generate content tools
Triggers generation for all or selected content tools on content.
POST
/
content
/
{id}
/
content-tools
Generate content tools
Authorizations
Your Hrizn API key (prefix hzk_)
Path Parameters
Content ID
Body
application/json
Minimum array length:
1Available options:
seo-metadata, schemas, social-snippets, page-slugs, post-tags, search-intent Last modified on June 30, 2026
⌘I
